Eclipse BIRT Report Object Model (ROM)

OdaResultSetColumn Structure

# Structure Overview

Describes a column within a result set of an ODA data set.

### Details

Display Name: | OdaResultSetColumn
Since: | 2.1.1

### Property Summary

ACLExpression
dataType
  The optional data type of the column.
name
  The name of the column.
nativeDataType
  The data type know to an ODA user.
nativeName
  The name known to an ODA user.
position
  The 1-based position of the column, as defined by the driver of underlying data provider.

### Description

The column definition element describes a column within a result set.

# Property Detail

## ACLExpression Property

### Details

Type: | expression
Context: |
Expression Type: | None
Since: | 2.5.2
Required: | No
Display Name: | ACL expression
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## dataType Property

The optional data type of the column.

### Details

Type: | choice (columnDataType)
Since: | 2.1.1
Required: | No
Display Name: | Data Type
JavaScript Type: |
Default Value: | string
Runtime Settable: | No

### Choices

Name | Display Name | Value | Description
integer | Integer | integer | A whole number.
string | String | string | Arbitrary Unicode text.
date-time | Date Time | date-time | A date, time or combination of date and time.
decimal | Decimal | decimal | Any type of number including currency. Fixed decimal, arbitrary precision.
float | Float | float | A scientific amount using the usual floating point notation.
boolean | Boolean | boolean |
date | Date | date |
time | Time | time |
blob | Blob | blob |
javaObject | Java Object | javaObject |

### Description

The optional data type. Required only for data sets that require this information.

## name Property

The name of the column.

### Details

Type: | string
Since: | 2.1.1
Required: | Yes
Display Name: | Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The name of a result set column. Required. This is the column name referenced by report elements.

### See Also

The Result Set Columns? Column Names section above for the naming rules.

## nativeDataType Property

The data type know to an ODA user.

### Details

Type: | integer
Since: | 2.1.1
Required: | No
Display Name: | Native Data Type Code
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

This is the data type known to an ODA custom designer and runtime driver, and is provided by a custom ODA designer.

## nativeName Property

The name known to an ODA user.

### Details

Type: | literalString
Since: | 2.1.1
Required: | No
Display Name: | Native Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

This is the name known to an ODA custom designer and runtime driver, and is provided by a custom ODA designer.

## position Property

The 1-based position of the column, as defined by the driver of underlying data provider.

### Details

Type: | integer
Since: | 2.1.1
Required: | No
Display Name: | Position
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The optional 1-based position of the column, as defined by the driver of underlying data provider. Required for data sets that identify columns by position instead of name; ignored otherwise.